/*
 * JPA entity PK template
 */

package de.ivu.elect.business.unterstuetzer.entity;

@javax.enterprise.inject.Vetoed
public class EintragungslistePK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<EintragungslistePK> {

  private static final long serialVersionUID = 0L;

  public EintragungslistePK() {
    super();
  }

  public EintragungslistePK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "EintragungslistePK:"+getId();
  }

  @Override
  public int compareTo(EintragungslistePK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
